.checkout {
  &__container {
    @include flex($align: flex-start);

    @include md {
      padding: 0 $checkout-content-padding;
      padding-bottom: 3rem;
      flex-direction: column;
    }
  }

  &-line {
    margin: 0.5rem 0;
    border: 1px solid #ececec;
  }

  &__steps-container {
    @include flex($dir: column);

    flex-grow: 1;

    @include sm() {
      width: 100%;
    }
  }

  &__summary {
    @include flex($dir: column);

    width: $checkout-summary-width;

    margin-left: 6rem;

    background: $white;

    position: sticky;
    top: calc(#{$content-padding} + #{$header-height} + 14px);

    @include md {
      display: none;

      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;

      width: 100%;
      overflow: auto;

      margin: 0;
      padding: $checkout-content-padding;

      z-index: z("modal");

      &--open {
        display: block;

        & ~ .checkout__finish {
          display: none;
        }
      }

      .checkout-summary {
        &__button {
          display: none;
        }
      }

      .cart-summary {
        &__header {
          align-items: center;

          &:not(.cart-summary__header--mobile) {
            display: none;
          }

          &--mobile {
            @include flex($just: space-between);
            .icon {
              font-size: 3rem;
            }
          }
        }

        &__summary-toggle {
          font-size: 3rem;
        }
      }
    }
  }

  &__finish {
    display: none;

    @include md {
      display: block;

      background: $white;

      left: 0;
      bottom: 0;

      width: 100%;

      padding: $checkout-content-padding 0;

      text-align: right;

      border-top: 1px solid $grey-border;

      .checkout {
        &__button {
          width: 100%;
        }

        &__total {
          display: block;

          margin-bottom: 0.5rem;
        }
      }
    }
  }
}
